/******************** (C) COPYRIGHT 2012 waveshare ********************
* File Name          : main.c
* Author             : waveshare.xuwenjie
* Version            : V1.0.0
* Date               : 29/10/2012
* Description        : 
************************************************************************/

#include <ioCC2530.h>
#include <string.h>
#include "UART.H"
#include "DTH11.h"

#define  uint  unsigned int
#define  uchar unsigned char




void Delay_ms(uint n);



/*******************************************************************************
* Function Name  : SystemInit
* Description    : Initialize the system
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void SystemInit(void)
{
	CLKCONCMD &= ~0x40;               /*Sets the system clock source for 32 MHZ crystal oscillator*/
	while(CLKCONSTA & 0x40);          /* Wait for Oscillator to be ready    */
	CLKCONCMD &= ~0x47;               /*Sets the system master clock frequency for 32 MHZ*/
}


/*******************************************************************************
* Function Name  : main
* Description    : Main program
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
//extern U8 WenDu,ShiDu;//¶ȴű

void main(void)
{	
  
  TempHumType TempHum;
  
  GPIOSelectType* DTH_GPIOSelect;
  DTH_GPIOSelect->PORT = 0;
  DTH_GPIOSelect->PIN = 0;
 
   SystemInit(); 
   InitUART(); 
   printf("\r\n HEELO Waveshare\r\n");  
   while(1)
   {
     TempHum = *Get_DHT11(DTH_GPIOSelect);
     
     if((TempHum.Temp !=0)|| (TempHum.humidity !=0) )
     {
        printf("Temp = %d\r\n",TempHum.Temp); 
        printf("humidity = %d\r\n",TempHum.humidity);            
     }

   }
}