/******************** (C) COPYRIGHT 2012 waveshare ********************
* File Name          : main.c
* Author             : waveshare.xuwenjie
* Version            : V1.0.0
* Date               : 29/10/2012
* Description        : 
************************************************************************/

#include <ioCC2530.h>
#include <string.h>
#include"UART.H"
#include "CC2530_ADC.h"

#define  uint  unsigned int
#define  uchar unsigned char


/*******************************************************************************
* Function Name  : Delayms
* Description    : Delay ms.
* Input          : None
* Output         : None
* Return         : None
* Attention	 : None
*******************************************************************************/
void Delay_ms(uint n)
{
	uint i,j;
	for(i=0;i<n;i++)
	{
		for(j=0;j<1774;j++);
	}
}
/*******************************************************************************
* Function Name  : SystemInit
* Description    : Initialize the system
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void SystemInit(void)
{
	CLKCONCMD &= ~0x40;               /*Sets the system clock source for 32 MHZ crystal oscillator*/
	while(CLKCONSTA & 0x40);          /* Wait for Oscillator to be ready    */
	CLKCONCMD &= ~0x47;               /*Sets the system master clock frequency for 32 MHZ*/
}


/*******************************************************************************
* Function Name  : main
* Description    : Main program
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void main(void)
{	
  uint16 AD_VALUE;
  SystemInit(); 
  InitUART(); 
  printf("\r\n HEELO Waveshare\r\n"); 
  HalAdcInit();
  while(1)
  {	    
    AD_VALUE  = HalAdcRead(7,9);   
    printf("AD_VALUE = %d\r\n",AD_VALUE);         
  }
}


