/******************** (C) COPYRIGHT 2012 waveshare ********************
* File Name          : main.c
* Author             : waveshare.xuwenjie
* Version            : V1.0.0
* Date               : 29/10/2012
* Description        : 
************************************************************************/


#include <ioCC2530.h>

#define uint unsigned int
#define uchar unsigned char


#define LED1 P1_0	


void Delayms(uint xms);		
void InitLed(void);		
void InitT3();              

uint count;
/*******************************************************************************
* Function Name  : Delayms
* Description    : Delay ms.
* Input          : None
* Output         : None
* Return         : None
* Attention	 : None
*******************************************************************************/
void Delayms(uint xms)
{
 uint i,j;
 for(i=xms;i>0;i--)
   for(j=587;j>0;j--);
} 

/*******************************************************************************
* Function Name  : LED_Configuration
* Description    : 
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void LED_Configuration(void)
{
	P1DIR |= (1<<0);  //P0_1 P0_0Ϊ
        LED1 = 0;       //LED1Ϩ 
          
        P1DIR |= (1<<0);     //P1Ϊ

}
/*******************************************************************************
* Function Name  : InitT3
* Description    : Timer 3 initialization
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void InitT3()
{     
      T3CTL |= 0x08 ;             //ж     
      T3IE = 1;                   //жϺT3ж
      T3CTL|=0XE0;               //128Ƶ,128/16000000*N=0.5S,N=65200
      T3CTL &= ~0X03;            //Զװ 00>0xff  65200/256=254()
      T3CTL |=0X10;//
      EA = 1; 
}

/*******************************************************************************
* Function Name  : main
* Description    : Main program
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/

void main(void)
{	
     LED_Configuration();		//óʼ
     InitT3();
     while(1){}
}

#pragma vector = T3_VECTOR //ʱT3
 __interrupt void T3_ISR(void) 
 { 
        IRCON = 0x00;                  //жϱ־, ҲӲԶ 
        if(++count>254)                //254жϺLEDȡ˸һ֣ԼΪ0.5 ʱ䣩 
        {          
         count = 0;                    //  
         LED1=~LED1;
        } 
 }
