#include "KEY.h"


void KEY_Init(void)
{
  HalAdcInit();
  
  P2SEL &= ~(1<<(0));   //General-purpose I/O
  P2DIR &= ~(1<<(0));  //0 -> INPUT
  P2INP &= ~(1<<(0));  //0 -> Pullup/pulldown
  P2INP |= (1<<7);     //BIT5= 1 -> Pulldown  
}

uint8 Read_key(void)
{
  uint16 AD_VALUE;
  uint8 key_num =0;
  
   AD_VALUE  = HalAdcRead(6,12);
//   printf("KEY =%d \r\n ",AD_VALUE);  
   
   if((1540<AD_VALUE) && (AD_VALUE<1600) )
   key_num = HAL_KEY_UP; 
   
   if((1400<AD_VALUE) && (AD_VALUE<1540) )
   key_num = HAL_KEY_RIGHT; 
   
   if((1200<AD_VALUE) && (AD_VALUE<1400) )
   key_num = HAL_KEY_LEFT; 
   
   if((900<AD_VALUE) && (AD_VALUE<1200) )
   key_num = HAL_KEY_DOWN; 
   
   if(P2_0 == 1)
   key_num = HAL_KEY_CENTER; 
   
   return key_num;
   
}